# Uses of Class
javafx.scene.control.MenuBar

Packages that use MenuBar
Package
Description
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of MenuBar in javafx.scene.control.skin

Methods in javafx.scene.control.skin with parameters of type MenuBar
Modifier and Type
Method
Description
`static void`
MenuBarSkin.`setDefaultSystemMenuBar(MenuBar menuBar)`
Set the default system menu bar.
Constructors in javafx.scene.control.skin with parameters of type MenuBar
Modifier
Constructor
Description
``
`MenuBarSkin(MenuBar control)`
Creates a new MenuBarSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.